Create
Create a new config type.
Authorizations
The API key to use for authentication.
Headers
The API version the client was built against.
"2026-11-04.everglades"
Query Parameters
Fields to expand on the config type resource.
created_by, archived_by Body
Response
Successfully created the config type.
The object type, which is always config_type.
config_type "config_type"
ID of the config type.
"cfg_123"
Name of the config type.
"My Config Type"
An immutable, code-friendly name for the config type.
"my-config-type"
Timestamp of when the config type was created.
"2021-01-01T00:00:00Z"
Timestamp of when the config type was last updated.
"2021-01-01T00:00:00Z"
ID of the principal who created the config type.
"usr_123"
Timestamp of when the config type was archived. Null if the config type is not archived.
"2021-01-01T00:00:00Z"
ID of the principal who archived the config type. Null if the config type is not archived or was archived before this field was recorded.
"usr_123"
The principal who created the config type. Expand using expand=created_by in the query string.
The principal who archived the config type. Null if archived_by_id is null. Expand using expand=archived_by in the query string.

